libgimpprint API Reference: list.h File Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# include/gimp-print/list.h File Reference

Go to the source code of this file.

## Typedefs
typedef stp_list_item | stp_list_item_t
typedef stp_list | stp_list_t
typedef void(* | stp_node_freefunc )(void *)
typedef void *(* | stp_node_copyfunc )(const void *)
typedef const char *(* | stp_node_namefunc )(const void *)
typedef int(* | stp_node_sortfunc )(const void *, const void *)
## Functions
void | stp_list_node_free_data (void *item)
stp_list_t * | stp_list_create (void)
stp_list_t * | stp_list_copy (const stp_list_t *list)
int | stp_list_destroy (stp_list_t *list)
stp_list_item_t * | stp_list_get_start (const stp_list_t *list)
stp_list_item_t * | stp_list_get_end (const stp_list_t *list)
stp_list_item_t * | stp_list_get_item_by_index (const stp_list_t *list, int idx)
stp_list_item_t * | stp_list_get_item_by_name (const stp_list_t *list, const char *name)
stp_list_item_t * | stp_list_get_item_by_long_name (const stp_list_t *list, const char *long_name)
int | stp_list_get_length (const stp_list_t *list)
void | stp_list_set_freefunc (stp_list_t *list, stp_node_freefunc)
stp_node_freefunc | stp_list_get_freefunc (const stp_list_t *list)
void | stp_list_set_copyfunc (stp_list_t *list, stp_node_copyfunc)
stp_node_copyfunc | stp_list_get_copyfunc (const stp_list_t *list)
void | stp_list_set_namefunc (stp_list_t *list, stp_node_namefunc)
stp_node_namefunc | stp_list_get_namefunc (const stp_list_t *list)
void | stp_list_set_long_namefunc (stp_list_t *list, stp_node_namefunc)
stp_node_namefunc | stp_list_get_long_namefunc (const stp_list_t *list)
void | stp_list_set_sortfunc (stp_list_t *list, stp_node_sortfunc)
stp_node_sortfunc | stp_list_get_sortfunc (const stp_list_t *list)
int | stp_list_item_create (stp_list_t *list, stp_list_item_t *next, const void *data)
int | stp_list_item_destroy (stp_list_t *list, stp_list_item_t *item)
stp_list_item_t * | stp_list_item_prev (const stp_list_item_t *item)
stp_list_item_t * | stp_list_item_next (const stp_list_item_t *item)
void * | stp_list_item_get_data (const stp_list_item_t *item)
int | stp_list_item_set_data (stp_list_item_t *item, void *data)

## Typedef Documentation

typedef struct stp_list_item stp_list_item_t

| Definition at line 39 of file list.h. Referenced by check_parameter_generic(), copy_compdata_list(), copy_value_list(), get_parameter_active_generic(), set_default_raw_parameter(), set_long_name_cache(), set_name_cache(), set_parameter_active_generic(), set_raw_parameter(), stp_allocate_component_data(), stp_clear_boolean_parameter(), stp_clear_dimension_parameter(), stp_clear_float_parameter(), stp_clear_int_parameter(), stp_color_unregister(), stp_destroy_component_data(), stp_family_register(), stp_family_unregister(), stp_get_array_parameter(), stp_get_boolean_parameter(), stp_get_color_by_colorfuncs(), stp_get_color_by_index(), stp_get_color_by_name(), stp_get_component_data(), stp_get_curve_parameter(), stp_get_dimension_parameter(), stp_get_file_parameter(), stp_get_float_parameter(), stp_get_int_parameter(), stp_get_papersize_by_index(), stp_get_papersize_by_name(), stp_get_printer_by_driver(), stp_get_printer_by_index(), stp_get_printer_by_long_name(), stp_get_raw_parameter(), stp_get_string_parameter(), stp_initialize_printer_defaults(), stp_list_copy(), stp_list_destroy(), stp_list_get_item_by_index(), stp_list_get_item_by_long_name(), stp_list_get_item_by_long_name_internal(), stp_list_get_item_by_name(), stp_list_get_item_by_name_internal(), stp_list_item_create(), stp_list_item_destroy(), stp_list_item_get_data(), stp_list_item_next(), stp_list_item_prev(), stp_list_item_set_data(), stp_module_close(), stp_module_get_class(), stp_module_init(), stp_module_load(), stp_module_open(), stp_parameter_find(), stp_path_search(), stp_prune_inactive_options(), stp_register_xml_parser(), stp_register_xml_preload(), stp_set_array_parameter(), stp_set_boolean_parameter(), stp_set_curve_parameter(), stp_set_default_array_parameter(), stp_set_default_boolean_parameter(), stp_set_default_curve_parameter(), stp_set_default_dimension_parameter(), stp_set_default_float_parameter(), stp_set_default_int_parameter(), stp_set_dimension_parameter(), stp_set_float_parameter(), stp_set_int_parameter(), stp_string_list_remove_string(), stp_unregister_xml_parser(), stp_unregister_xml_preload(), stp_xml_dither_cache_get(), stp_xml_init_defaults(), stp_xml_parse_file_named(), stpi_paper_create(), stpi_paper_destroy(), stpi_xml_process_family(), and stpi_xml_process_node().

typedef struct stp_list stp_list_t

| Definition at line 41 of file list.h. Referenced by check_list(), check_parameter_generic(), clear_cache(), copy_compdata_list(), copy_value_list(), create_compdata_list(), create_vars_list(), get_end_internal(), get_parameter_active_generic(), get_start_internal(), set_default_raw_parameter(), set_long_name_cache(), set_name_cache(), set_parameter_active_generic(), set_raw_parameter(), stp_clear_boolean_parameter(), stp_clear_dimension_parameter(), stp_clear_float_parameter(), stp_clear_int_parameter(), stp_family_register(), stp_family_unregister(), stp_get_array_parameter(), stp_get_boolean_parameter(), stp_get_curve_parameter(), stp_get_dimension_parameter(), stp_get_file_parameter(), stp_get_float_parameter(), stp_get_int_parameter(), stp_get_raw_parameter(), stp_get_string_parameter(), stp_list_copy(), stp_list_create(), stp_list_destroy(), stp_list_get_copyfunc(), stp_list_get_end(), stp_list_get_freefunc(), stp_list_get_item_by_index(), stp_list_get_item_by_long_name(), stp_list_get_item_by_long_name_internal(), stp_list_get_item_by_name(), stp_list_get_item_by_name_internal(), stp_list_get_length(), stp_list_get_long_namefunc(), stp_list_get_namefunc(), stp_list_get_sortfunc(), stp_list_get_start(), stp_list_item_create(), stp_list_item_destroy(), stp_list_set_copyfunc(), stp_list_set_freefunc(), stp_list_set_long_namefunc(), stp_list_set_namefunc(), stp_list_set_sortfunc(), stp_module_get_class(), stp_module_load(), stp_parameter_find(), stp_parameter_list_add_param(), stp_parameter_list_append(), stp_parameter_list_copy(), stp_parameter_list_count(), stp_parameter_list_create(), stp_parameter_list_destroy(), stp_parameter_list_param(), stp_path_search(), stp_path_split(), stp_prune_inactive_options(), stp_set_array_parameter(), stp_set_boolean_parameter(), stp_set_curve_parameter(), stp_set_default_array_parameter(), stp_set_default_boolean_parameter(), stp_set_default_curve_parameter(), stp_set_default_dimension_parameter(), stp_set_default_file_parameter(), stp_set_default_file_parameter_n(), stp_set_default_float_parameter(), stp_set_default_int_parameter(), stp_set_default_raw_parameter(), stp_set_default_string_parameter_n(), stp_set_dimension_parameter(), stp_set_file_parameter(), stp_set_file_parameter_n(), stp_set_float_parameter(), stp_set_int_parameter(), stp_set_raw_parameter(), stp_set_string_parameter_n(), stp_string_list_add_string(), stp_string_list_count(), stp_string_list_create(), stp_string_list_create_copy(), stp_string_list_destroy(), stp_string_list_find(), stp_string_list_is_present(), stp_string_list_param(), stp_string_list_remove_string(), stp_xml_parse_file_named(), stpi_color_traditional_list_parameters(), and stpi_xml_process_family().

typedef void*(* stp_node_copyfunc)(const void *)

| Definition at line 43 of file list.h. Referenced by stp_list_copy(), and stp_list_set_copyfunc().

typedef void(* stp_node_freefunc)(void *)

| Definition at line 42 of file list.h. Referenced by stp_list_set_freefunc().

typedef const char*(* stp_node_namefunc)(const void *)

| Definition at line 44 of file list.h. Referenced by stp_list_set_long_namefunc(), and stp_list_set_namefunc().

typedef int(* stp_node_sortfunc)(const void *, const void *)

| Definition at line 45 of file list.h. Referenced by stp_list_set_sortfunc().

## Function Documentation

stp_list_t* stp_list_copy | ( | const stp_list_t * | list | ) |

| Definition at line 169 of file print-list.c. References check_list(), stp_list_item::data, get_start_internal(), stp_list_create(), stp_list_get_copyfunc(), stp_list_get_freefunc(), stp_list_get_long_namefunc(), stp_list_get_namefunc(), stp_list_get_sortfunc(), stp_list_item_create(), stp_list_item_next(), stp_list_item_t, stp_list_set_copyfunc(), stp_list_set_freefunc(), stp_list_set_long_namefunc(), stp_list_set_namefunc(), stp_list_set_sortfunc(), stp_list_t, and stp_node_copyfunc. Referenced by stp_string_list_create_copy().

stp_list_t* stp_list_create | ( | void |  | ) |

| Definition at line 143 of file print-list.c. References stp_list::cache, stp_list::copyfunc, stp_list::end, stp_list::freefunc, stp_list::icache, stp_list::length, stp_list::long_name_cache, stp_list::long_name_cache_node, stp_list::long_namefunc, stp_list::name_cache, stp_list::name_cache_node, stp_list::namefunc, stp_list::sortfunc, stp_list::start, STP_DBG_LIST, stp_deprintf(), stp_list_t, and stp_malloc(). Referenced by create_compdata_list(), create_vars_list(), stp_list_copy(), stp_module_get_class(), stp_module_load(), stp_parameter_list_create(), stp_path_search(), stp_string_list_create(), stp_xml_dither_cache_set(), stp_xml_parse_file_named(), stp_xml_preinit(), stpi_init_color_list(), stpi_init_printer_list(), stpi_paper_list_init(), and stpi_xml_process_family().

int stp_list_destroy | ( | stp_list_t * | list | ) |

| Definition at line 199 of file print-list.c. References check_list(), clear_cache(), get_start_internal(), stp_list_item::next, STP_DBG_LIST, stp_deprintf(), stp_free(), stp_list_item_destroy(), stp_list_item_t, and stp_list_t. Referenced by stp_module_exit(), stp_module_load(), stp_parameter_list_destroy(), stp_string_list_destroy(), stp_vars_copy(), stp_vars_destroy(), stp_xml_init_defaults(), stp_xml_parse_file_named(), stpi_init_color_list(), stpi_init_printer_list(), stpi_paper_list_init(), and stpi_xml_process_family().

stp_node_copyfunc stp_list_get_copyfunc | ( | const stp_list_t * | list | ) |

| Definition at line 475 of file print-list.c. References check_list(), stp_list::copyfunc, and stp_list_t. Referenced by stp_list_copy().

stp_list_item_t* stp_list_get_end | ( | const stp_list_t * | list | ) |

| Definition at line 239 of file print-list.c. References get_end_internal(), and stp_list_t.

stp_node_freefunc stp_list_get_freefunc | ( | const stp_list_t * | list | ) |

| Definition at line 460 of file print-list.c. References check_list(), stp_list::freefunc, and stp_list_t. Referenced by stp_list_copy().

stp_list_item_t* stp_list_get_item_by_index | ( | const stp_list_t * | list,
|  | int | idx
| ) |

| Definition at line 246 of file print-list.c. References stp_list::cache, check_list(), get_end_internal(), get_start_internal(), stp_list::icache, stp_list::length, stp_list_item::next, stp_list_item::prev, stp_list_item_t, and stp_list_t. Referenced by stp_get_color_by_index(), stp_get_papersize_by_index(), stp_get_printer_by_index(), stp_parameter_list_param(), and stp_string_list_param().

stp_list_item_t* stp_list_get_item_by_long_name | ( | const stp_list_t * | list,
|  | const char * | long_name
| ) |

| Definition at line 401 of file print-list.c. References stp_list::cache, check_list(), stp_list_item::data, stp_list::long_name_cache, stp_list::long_name_cache_node, stp_list::long_namefunc, stp_list_item::next, set_long_name_cache(), stp_list_get_item_by_long_name_internal(), stp_list_item_t, and stp_list_t. Referenced by stp_get_printer_by_long_name().

stp_list_item_t* stp_list_get_item_by_name | ( | const stp_list_t * | list,
|  | const char * | name
| ) |

| Definition at line 336 of file print-list.c. References stp_list::cache, check_list(), stp_list_item::data, stp_list::name_cache, stp_list::name_cache_node, stp_list::namefunc, stp_list_item::next, set_name_cache(), stp_list_get_item_by_name_internal(), stp_list_item_t, and stp_list_t. Referenced by check_parameter_generic(), get_parameter_active_generic(), set_default_raw_parameter(), set_parameter_active_generic(), set_raw_parameter(), stp_allocate_component_data(), stp_clear_boolean_parameter(), stp_clear_dimension_parameter(), stp_clear_float_parameter(), stp_clear_int_parameter(), stp_destroy_component_data(), stp_family_register(), stp_family_unregister(), stp_get_array_parameter(), stp_get_boolean_parameter(), stp_get_color_by_name(), stp_get_component_data(), stp_get_curve_parameter(), stp_get_dimension_parameter(), stp_get_file_parameter(), stp_get_float_parameter(), stp_get_int_parameter(), stp_get_papersize_by_name(), stp_get_printer_by_driver(), stp_get_raw_parameter(), stp_get_string_parameter(), stp_parameter_find(), stp_parameter_list_append(), stp_register_xml_parser(), stp_register_xml_preload(), stp_set_array_parameter(), stp_set_boolean_parameter(), stp_set_curve_parameter(), stp_set_default_array_parameter(), stp_set_default_boolean_parameter(), stp_set_default_curve_parameter(), stp_set_default_dimension_parameter(), stp_set_default_float_parameter(), stp_set_default_int_parameter(), stp_set_dimension_parameter(), stp_set_float_parameter(), stp_set_int_parameter(), stp_string_list_find(), stp_string_list_is_present(), stp_string_list_remove_string(), stp_unregister_xml_parser(), stp_unregister_xml_preload(), and stpi_xml_process_node().

int stp_list_get_length | ( | const stp_list_t * | list | ) |

| Definition at line 220 of file print-list.c. References check_list(), stp_list::length, and stp_list_t. Referenced by stp_color_count(), stp_known_papersizes(), stp_parameter_list_count(), stp_parameter_list_param(), stp_printer_model_count(), and stp_string_list_count().

stp_node_namefunc stp_list_get_long_namefunc | ( | const stp_list_t * | list | ) |

| Definition at line 505 of file print-list.c. References check_list(), stp_list::long_namefunc, and stp_list_t. Referenced by stp_list_copy().

stp_node_namefunc stp_list_get_namefunc | ( | const stp_list_t * | list | ) |

| Definition at line 490 of file print-list.c. References check_list(), stp_list::namefunc, and stp_list_t. Referenced by stp_list_copy().

stp_node_sortfunc stp_list_get_sortfunc | ( | const stp_list_t * | list | ) |

| Definition at line 520 of file print-list.c. References check_list(), stp_list::sortfunc, and stp_list_t. Referenced by stp_list_copy().

stp_list_item_t* stp_list_get_start | ( | const stp_list_t * | list | ) |

| Definition at line 231 of file print-list.c. References get_start_internal(), and stp_list_t. Referenced by copy_compdata_list(), copy_value_list(), stp_color_unregister(), stp_family_register(), stp_family_unregister(), stp_get_color_by_colorfuncs(), stp_initialize_printer_defaults(), stp_module_get_class(), stp_module_init(), stp_module_load(), stp_module_open(), stp_path_search(), stp_prune_inactive_options(), stp_xml_dither_cache_get(), stp_xml_init_defaults(), stp_xml_parse_file_named(), stpi_paper_create(), stpi_paper_destroy(), and stpi_xml_process_family().

int stp_list_item_create | ( | stp_list_t * | list,
|  | stp_list_item_t * | next,
|  | const void * | data
| ) |

| Definition at line 539 of file print-list.c. References check_list(), clear_cache(), stp_list_item::data, stp_list::end, get_end_internal(), get_start_internal(), stp_list::length, stp_list_item::next, stp_list_item::prev, stp_list::sortfunc, stp_list::start, STP_DBG_LIST, stp_deprintf(), stp_free(), stp_list_item_t, stp_list_t, and stp_malloc(). Referenced by copy_compdata_list(), copy_value_list(), set_default_raw_parameter(), set_raw_parameter(), stp_allocate_component_data(), stp_color_register(), stp_family_register(), stp_list_copy(), stp_module_get_class(), stp_module_register(), stp_parameter_list_add_param(), stp_parameter_list_append(), stp_parameter_list_copy(), stp_path_search(), stp_path_split(), stp_register_xml_parser(), stp_register_xml_preload(), stp_set_array_parameter(), stp_set_boolean_parameter(), stp_set_curve_parameter(), stp_set_default_array_parameter(), stp_set_default_boolean_parameter(), stp_set_default_curve_parameter(), stp_set_default_dimension_parameter(), stp_set_default_float_parameter(), stp_set_default_int_parameter(), stp_set_dimension_parameter(), stp_set_float_parameter(), stp_set_int_parameter(), stp_string_list_add_string(), stp_xml_dither_cache_set(), stpi_paper_create(), and stpi_xml_process_family().

int stp_list_item_destroy | ( | stp_list_t * | list,
|  | stp_list_item_t * | item
| ) |

| Definition at line 638 of file print-list.c. References check_list(), clear_cache(), stp_list_item::data, stp_list::end, stp_list::freefunc, stp_list::length, stp_list_item::next, stp_list_item::prev, stp_list::start, STP_DBG_LIST, stp_deprintf(), stp_free(), stp_list_item_t, and stp_list_t. Referenced by set_raw_parameter(), stp_allocate_component_data(), stp_clear_boolean_parameter(), stp_clear_dimension_parameter(), stp_clear_float_parameter(), stp_clear_int_parameter(), stp_color_unregister(), stp_destroy_component_data(), stp_family_unregister(), stp_list_destroy(), stp_module_close(), stp_prune_inactive_options(), stp_set_array_parameter(), stp_set_curve_parameter(), stp_string_list_remove_string(), stp_unregister_xml_parser(), stp_unregister_xml_preload(), and stpi_paper_destroy().

void* stp_list_item_get_data | ( | const stp_list_item_t * | item | ) |

| Definition at line 678 of file print-list.c. References stp_list_item::data, and stp_list_item_t. Referenced by check_parameter_generic(), copy_value_list(), get_parameter_active_generic(), set_parameter_active_generic(), set_raw_parameter(), stp_color_unregister(), stp_family_register(), stp_family_unregister(), stp_get_array_parameter(), stp_get_boolean_parameter(), stp_get_color_by_colorfuncs(), stp_get_color_by_index(), stp_get_color_by_name(), stp_get_component_data(), stp_get_curve_parameter(), stp_get_dimension_parameter(), stp_get_file_parameter(), stp_get_float_parameter(), stp_get_int_parameter(), stp_get_papersize_by_index(), stp_get_papersize_by_name(), stp_get_printer_by_driver(), stp_get_printer_by_index(), stp_get_printer_by_long_name(), stp_get_raw_parameter(), stp_get_string_parameter(), stp_initialize_printer_defaults(), stp_module_get_class(), stp_module_init(), stp_module_load(), stp_module_open(), stp_parameter_find(), stp_parameter_list_param(), stp_path_search(), stp_prune_inactive_options(), stp_register_xml_parser(), stp_set_array_parameter(), stp_set_boolean_parameter(), stp_set_curve_parameter(), stp_set_dimension_parameter(), stp_set_float_parameter(), stp_set_int_parameter(), stp_string_list_find(), stp_string_list_param(), stp_xml_dither_cache_get(), stp_xml_init_defaults(), stp_xml_parse_file_named(), stpi_paper_create(), stpi_paper_destroy(), stpi_xml_process_family(), and stpi_xml_process_node().

stp_list_item_t* stp_list_item_next | ( | const stp_list_item_t * | item | ) |

| Definition at line 671 of file print-list.c. References stp_list_item::next, and stp_list_item_t. Referenced by copy_compdata_list(), copy_value_list(), stp_color_unregister(), stp_family_register(), stp_family_unregister(), stp_get_color_by_colorfuncs(), stp_initialize_printer_defaults(), stp_list_copy(), stp_module_get_class(), stp_module_init(), stp_module_load(), stp_module_open(), stp_path_search(), stp_prune_inactive_options(), stp_xml_dither_cache_get(), stp_xml_init_defaults(), stp_xml_parse_file_named(), stpi_paper_create(), stpi_paper_destroy(), and stpi_xml_process_family().

stp_list_item_t* stp_list_item_prev | ( | const stp_list_item_t * | item | ) |

| Definition at line 664 of file print-list.c. References stp_list_item::prev, and stp_list_item_t.

int stp_list_item_set_data | ( | stp_list_item_t * | item,
|  | void * | data
| ) |

| Definition at line 685 of file print-list.c. References stp_list_item::data, and stp_list_item_t.

void stp_list_node_free_data | ( | void * | item | ) |

| Definition at line 102 of file print-list.c. References STP_DBG_LIST, stp_deprintf(), and stp_free(). Referenced by stp_module_load(), stp_path_search(), and stp_xml_parse_file_named().

void stp_list_set_copyfunc | ( | stp_list_t * | list,
|  | stp_node_copyfunc |
| ) |

| Definition at line 468 of file print-list.c. References check_list(), stp_list::copyfunc, stp_list_t, and stp_node_copyfunc. Referenced by stp_list_copy(), and stp_string_list_create().

void stp_list_set_freefunc | ( | stp_list_t * | list,
|  | stp_node_freefunc |
| ) |

| Definition at line 453 of file print-list.c. References check_list(), stp_list::freefunc, stp_list_t, and stp_node_freefunc. Referenced by create_compdata_list(), create_vars_list(), stp_list_copy(), stp_module_load(), stp_path_search(), stp_string_list_create(), stp_xml_parse_file_named(), stp_xml_preinit(), stpi_init_printer_list(), and stpi_paper_list_init().

void stp_list_set_long_namefunc | ( | stp_list_t * | list,
|  | stp_node_namefunc |
| ) |

| Definition at line 498 of file print-list.c. References check_list(), stp_list::long_namefunc, stp_list_t, and stp_node_namefunc. Referenced by stp_list_copy(), stp_parameter_list_create(), stp_string_list_create(), stpi_init_color_list(), stpi_init_printer_list(), and stpi_paper_list_init().

void stp_list_set_namefunc | ( | stp_list_t * | list,
|  | stp_node_namefunc |
| ) |

| Definition at line 483 of file print-list.c. References check_list(), stp_list::namefunc, stp_list_t, and stp_node_namefunc. Referenced by create_compdata_list(), create_vars_list(), stp_list_copy(), stp_parameter_list_create(), stp_string_list_create(), stp_xml_preinit(), stpi_init_color_list(), stpi_init_printer_list(), and stpi_paper_list_init().

void stp_list_set_sortfunc | ( | stp_list_t * | list,
|  | stp_node_sortfunc |
| ) |

| Definition at line 513 of file print-list.c. References check_list(), stp_list::sortfunc, stp_list_t, and stp_node_sortfunc. Referenced by stp_list_copy().